Libosmium: osmium::index::RelationsMapIndexes Class Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
osmium::index::RelationsMapIndexes Class Reference

`#include <relations_map.hpp>`

Collaboration diagram for osmium::index::RelationsMapIndexes:
[legend]

## Public Member Functions
const RelationsMapIndex & | member_to_parent () const noexcept
const RelationsMapIndex & | parent_to_member () const noexcept
bool | empty () const noexcept
std::size_t | size () const noexcept

## Private Member Functions
| RelationsMapIndexes (detail::rel_index_map_type< uint32_t > &&map1, detail::rel_index_map_type< uint32_t > &&map2)
| RelationsMapIndexes (detail::rel_index_map_type< uint64_t > &&map1, detail::rel_index_map_type< uint64_t > &&map2)

## Private Attributes
RelationsMapIndex | m_member_to_parent
RelationsMapIndex | m_parent_to_member

## Friends
class | RelationsMapStash

## Constructor & Destructor Documentation

## ◆ RelationsMapIndexes() [1/2]

osmium::index::RelationsMapIndexes::RelationsMapIndexes | ( | detail::rel_index_map_type< uint32_t > && | map1,
|  | detail::rel_index_map_type< uint32_t > && | map2 )
| inlineprivate

## ◆ RelationsMapIndexes() [2/2]

osmium::index::RelationsMapIndexes::RelationsMapIndexes | ( | detail::rel_index_map_type< uint64_t > && | map1,
|  | detail::rel_index_map_type< uint64_t > && | map2 )
| inlineprivate

## Member Function Documentation

## ◆ empty()

bool osmium::index::RelationsMapIndexes::empty | ( |  | ) | const
| inlinenoexcept

Is this index empty?

Complexity: Constant.

## ◆ member_to_parent()

const RelationsMapIndex & osmium::index::RelationsMapIndexes::member_to_parent | ( |  | ) | const
| inlinenoexcept

## ◆ parent_to_member()

const RelationsMapIndex & osmium::index::RelationsMapIndexes::parent_to_member | ( |  | ) | const
| inlinenoexcept

## ◆ size()

std::size_t osmium::index::RelationsMapIndexes::size | ( |  | ) | const
| inlinenoexcept

How many entries are in this index?

Complexity: Constant.

## Friends And Related Symbol Documentation

## ◆ RelationsMapStash

friend class RelationsMapStash
| friend

## Member Data Documentation

## ◆ m_member_to_parent

RelationsMapIndex osmium::index::RelationsMapIndexes::m_member_to_parent
| private

## ◆ m_parent_to_member

RelationsMapIndex osmium::index::RelationsMapIndexes::m_parent_to_member
| private

The documentation for this class was generated from the following file:

- include/osmium/index/relations_map.hpp